import { z } from 'zod'; export declare const fetchContentEndpoint: { readonly name: "Fetch Content"; readonly description: "Get a list of seasons, acts, and events"; readonly queryName: "Content_FetchContent"; readonly category: "PVP Endpoints"; readonly type: "shared"; readonly suffix: "content-service/v3/content"; readonly riotRequirements: { readonly clientVersion: true; readonly clientPlatform: true; readonly token: true; readonly entitlement: true; }; readonly responses: { readonly '200': z.ZodObject<{ DisabledIDs: z.ZodArray; Seasons: z.ZodArray; StartTime: z.ZodEffects; EndTime: z.ZodEffects; IsActive: z.ZodBoolean; }, "strip", z.ZodTypeAny, { ID: string; StartTime: Date; Name: string; Type: "episode" | "act"; EndTime: Date; IsActive: boolean; }, { ID: string; StartTime: string; Name: string; Type: "episode" | "act"; EndTime: string; IsActive: boolean; }>, "many">; Events: z.ZodArray; EndTime: z.ZodEffects; IsActive: z.ZodBoolean; }, "strip", z.ZodTypeAny, { ID: string; StartTime: Date; Name: string; EndTime: Date; IsActive: boolean; }, { ID: string; StartTime: string; Name: string; EndTime: string; IsActive: boolean; }>, "many">; }, "strip", z.ZodTypeAny, { DisabledIDs: unknown[]; Seasons: { ID: string; StartTime: Date; Name: string; Type: "episode" | "act"; EndTime: Date; IsActive: boolean; }[]; Events: { ID: string; StartTime: Date; Name: string; EndTime: Date; IsActive: boolean; }[]; }, { DisabledIDs: unknown[]; Seasons: { ID: string; StartTime: string; Name: string; Type: "episode" | "act"; EndTime: string; IsActive: boolean; }[]; Events: { ID: string; StartTime: string; Name: string; EndTime: string; IsActive: boolean; }[]; }>; }; }; export type FetchContentResponse = z.input;